@extends($activeTemplate . 'layouts.frontend')
@section('content')
    <main>
        <img src="{{ getImage($activeTemplateTrue."images/thumbs/dotted-bg.png") }}" alt="@lang('image')" class="dotted-bg">
        <section class="dashboard pb-160">
            <div class="container">
                <div class="row gy-4">
                    <div class="col-lg-6">
                        <div class="dashboard-widget">
                            <div class="dashboard-widget__header">
                                <h6 class="dashboard-widget__title">{{ $account->wallet }}</h6>
                            </div>
                            <div class="dashboard-widget__body">
                                <h4 class="dashboard-widget__number text--base"><span
                                        id="mined">{{ $track->balance }}</span>{{ $general->cur_sym }}</h4>
                                <div class="dashboard-widget__content">
                                    <p class="dashboard-widget__desc">
                                        @lang('MINER SPEED'): <span>{{ $track->speed }}</span> @lang('DH/S') |
                                        @lang('DAILY PROFIT') <span id="dailyProfit">
                                            {{ $track->speed * $general->daily_earning }} </span>
                                        {{ __($general->cur_text) }}
                                    </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="dashboard-widget">
                            <div class="dashboard-widget__header">
                                <h6 class="dashboard-widget__title">@lang('Your Referral Link')</h6>
                            </div>

                            <div class="dashboard-widget__body">
                                <div class="input--group">
                                    <div class="input--group__input">
                                        <input class="form--control" id="ref" type="url"
                                            value="{{ route('home') . '?reference=' . $account->unique_id }}" readonly>
                                    </div>
                                    <button type="button" data-copytarget="#ref" class="btn btn--base copybtn"> <span
                                            class="icon"><i class="fas fa-copy"></i></span>@lang('Copy')</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="dashboard-widget-wrapper">
                    <div class="row gy-4 justify-content-center">
                        <div class="col-lg-4 col-sm-6 col-xsm-6">
                            <div class="dashboard-widget">
                                <div class="dashboard-widget__header">
                                    <h6 class="dashboard-widget__title">@lang('Deposit')</h6>
                                </div>
                                <div class="dashboard-widget__body">
                                    <h4 class="dashboard-widget__number text--base">{{ $depositCount }}</h4>
                                    <div class="dashboard-widget__content flex-between">
                                        <span class="dashboard-widget__total">@lang('Total Deposited')</span>
                                        <span class="dashboard-widget__arrow"><img src="{{ getImage($activeTemplateTrue.'images/icons/arrrow.png') }}"
                                                alt="@lang('image')"></span>
                                        <h6 class="dashboard-widget__digit">{{ getAmount($depositTotal) }}
                                            {{ __($general->cur_text) }}</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6 col-xsm-6">
                            <div class="dashboard-widget">
                                <div class="dashboard-widget__header">
                                    <h6 class="dashboard-widget__title">@lang('Withdrawals')</h6>
                                </div>
                                <div class="dashboard-widget__body">
                                    <h4 class="dashboard-widget__number text--base">{{ $withdrawCount }}</h4>
                                    <div class="dashboard-widget__content flex-between">
                                        <span class="dashboard-widget__total">@lang('Total Withdrawn')</span>
                                        <span class="dashboard-widget__arrow"><img src="{{ getImage($activeTemplateTrue.'images/icons/arrrow.png') }}"
                                                alt="@lang('image')"></span>
                                        <h6 class="dashboard-widget__digit">{{ getAmount($withdrawTotal) }}
                                            {{ __($general->cur_text) }}</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 col-sm-6 col-xsm-6">
                            <div class="dashboard-widget">
                                <div class="dashboard-widget__header">
                                    <h6 class="dashboard-widget__title">@lang('Referrals')</h6>
                                </div>
                                <div class="dashboard-widget__body">
                                    <h4 class="dashboard-widget__number text--base">{{ $referralCount }}</h4>
                                    <div class="dashboard-widget__content flex-between">
                                        <span class="dashboard-widget__total">@lang('Total Referral Bonus')</span>
                                        <span class="dashboard-widget__arrow"><img src="{{ getImage($activeTemplateTrue.'images/icons/arrrow.png') }}"
                                                alt="@lang('image')"></span>
                                        <h6 class="dashboard-widget__digit">
                                            {{ getAmount($account->referrals->sum('bonus_value')) }}
                                            {{ __($general->cur_text) }}</h6>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </section>
    </main>
@endsection

@push('script')
    <script>
        'use strict';
        (function($) {
            let dailyProfit = $('#dailyProfit').text();
            let dailyProfitInSeconds = dailyProfit / 864000;

            let minedAmount = {{ $track->balance }};
            setInterval(function() {
                minedAmount += dailyProfitInSeconds;
                $('#mined').text(minedAmount.toFixed(8));
            }, 100);
        })(jQuery);

       
        $('.copybtn').on('click',function(e){
            var
                t = e.target,
                c = t.dataset.copytarget,
                inp = (c ? document.querySelector(c) : null);
            if (inp && inp.select) {
                inp.select();
                try {
                    document.execCommand('copy');
                    inp.blur();
                    t.classList.add('copied');
                    setTimeout(function() {
                        t.classList.remove('copied');
                    }, 1500);
                } catch (err) {

                }
            }
        });

    </script>
@endpush
