@extends($activeTemplate . 'layouts.frontend')
@section('content')
    @php
        $content = getContent('contact.content', true);
    @endphp

<main>
    <img src="{{ getImage($activeTemplateTrue."images/thumbs/dotted-bg.png") }}" alt="@lang('image')" class="dotted-bg">
    <section class="contact pb-80">
        <div class="container">
            <div class="row gy-4">
                <div class="col-lg-6 d-lg-block d-none">
                    <div class="contact-thumb">
                        <img src="{{ sectionImage('contact',@$content->data_values->image,"550x640") }}" alt="@lang('image')">
                    </div>
                </div>
                <div class="col-lg-6">
                    <form action="{{ route('contact.submit') }}" method="post" class="contact-form">
                        @csrf
                        <h5 class="contact-form__title">{{ __(@$content->data_values->title) }}</h5>
                        <p class="contact-form__desc">{{ __(@$content->data_values->short_description) }}</p>
                        <div class="row">
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <input type="text" class="form--control" name="name" value="{{ old('name') }}" required placeholder="@lang('Full Name')">
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <input type="email" class="form--control" required name="email" value="{{ old('email') }}" placeholder="@lang('Email Address')">
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <input type="text" name="subject" required class="form--control" value="{{ old('subject') }}" placeholder="@lang('Subject')">
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <textarea class="form--control" name="message" required placeholder="@lang('Message')">{{ old('message') }}</textarea>
                                </div>
                            </div>
                            <x-captcha />

                            <div class="col-sm-12">
                                <div class="form-group mb-0">
                                    <button type="submit" class="btn btn--base pill">@lang('Submit')</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
            <div class="contact-card-wrapper">
                <div class="row gy-4 justify-content-center">
                    <div class="col-lg-4 col-sm-6 col-xsm-6">
                        <div class="contact-card">
                            <span class="contact-card__icon">
                                <img src="{{ getImage($activeTemplateTrue.'images/icons/contact-icon1.png') }}" alt="@lang('image')">
                            </span>
                            <h6 class="contact-card__title">@lang('Phone Number')</h6>
                            <a href="Tel:{{@$content->data_values->phone}}"><p class="contact-card__desc text--base">{{ __(@$content->data_values->phone) }}</p></a>
                        </div>
                    </div>
                    <div class="col-lg-4 col-sm-6 col-xsm-6">
                        <div class="contact-card">
                            <span class="contact-card__icon">
                                <img src="{{ getImage($activeTemplateTrue.'images/icons/contact-icon2.png') }}" alt="@lang('image')">
                            </span>
                            <h6 class="contact-card__title">@lang('Email Address')</h6>
                            <a href="mailto:{{ @$content->data_values->email }}"><p class="contact-card__desc text--base">{{ @$content->data_values->email }}</p></a>
                        </div>
                    </div>
                    <div class="col-lg-4 col-sm-6 col-xsm-6">
                        <div class="contact-card">
                            <span class="contact-card__icon">
                                <img src="{{ getImage($activeTemplateTrue.'images/icons/contact-icon3.png') }}" alt="@lang('image')">
                            </span>
                            <h6 class="contact-card__title">@lang('Office Address')</h6>
                            <p class="contact-card__desc text--base">{{ __(@$content->data_values->address) }}</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</main>

    @if ($sections->secs != null)
        @foreach (json_decode($sections->secs) as $sec)
            @include($activeTemplate . 'sections.' . $sec)
        @endforeach
    @endif
@endsection
