<!doctype html>
<html lang="{{ config('app.locale') }}" itemscope itemtype="http://schema.org/WebPage">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title> {{ $general->siteName(__($customPageTitle ?? $pageTitle)) }}</title>

    @include('partials.seo')

    <link href="{{ asset('assets/global/css/bootstrap.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/global/css/all.min.css') }}" rel="stylesheet">
    <link href="{{ asset('assets/global/css/line-awesome.min.css') }}" rel="stylesheet" >


    <link href="{{ asset($activeTemplateTrue . 'css/odometer.css') }}" rel="stylesheet">
    <link href="{{ asset($activeTemplateTrue . 'css/slick.css') }}" rel="stylesheet">
    <link href="{{ asset($activeTemplateTrue . 'css/main.css') }}" rel="stylesheet">
    <link href="{{ asset($activeTemplateTrue . 'css/custom.css') }}" rel="stylesheet">
    <link href="{{ asset($activeTemplateTrue . 'css/color.php') }}?color={{ $general->base_color }}" rel="stylesheet">
    @stack('style-lib')
    @stack('style')
</head>

<body>
    @stack('fbComment')

    <div class="preloader flex-center">
        <img src="{{ preLoader() }}" alt="@lang('img')" class="preloader__coin"></img>
    </div>
        <div class="body-overlay"></div>
        <div class="sidebar-overlay"></div>
        <a class="scroll-top"><i class="fas fa-angle-double-up"></i></a>

        @include($activeTemplate.'partials.header')


        @if(!request()->routeIs('home'))
            @include($activeTemplate.'partials.breadcrumb')
        @endif


        @yield('content')

        @include($activeTemplate.'partials.footer')


        @php
            $cookie = App\Models\Frontend::where('data_keys', 'cookie.data')->first();
        @endphp
        @if ($cookie->data_values->status == 1 && !\Cookie::get('gdpr_cookie'))
            <div class="cookies-card hide text-center">
                <div class="cookies-card__icon bg--base">
                    <i class="las la-cookie-bite"></i>
                </div>
                <p class="cookies-card__content mt-4">{{ __($cookie->data_values->short_desc) }} <a
                        href="{{ route('cookie.policy') }}" target="_blank">@lang('learn more')</a></p>
                <div class="cookies-card__btn mt-4">
                    <a class="btn btn--base w-100 policy" href="javascript:void(0)">@lang('Allow')</a>
                </div>
            </div>
        @endif

        <script src="{{ asset('assets/global/js/jquery-3.7.1.min.js') }}"></script>
        <script src="{{ asset('assets/global/js/bootstrap.bundle.min.js') }}"></script>

        <script src="{{ asset($activeTemplateTrue . '/js/odometer.min.js') }}"></script>
        <script src="{{ asset($activeTemplateTrue . '/js/slick.min.js') }}"></script>
        <script src="{{ asset($activeTemplateTrue . '/js/viewport.jquery.js') }}"></script>
        <script src="{{ asset($activeTemplateTrue . '/js/main.js') }}"></script>

        @stack('script-lib')
        @include('partials.plugins')
        @include('partials.notify')
        @stack('script')

        <script>
            (function($) {
                "use strict";
                $(".langSel").on("change", function() {
                    window.location.href = "{{ route('home') }}/change/" + $(this).val();

                });

                $('.policy').on('click', function() {
                    $.get('{{ route('cookie.accept') }}', function(response) {
                        $('.cookies-card').addClass('d-none');
                    });
                });

                setTimeout(function() {
                    $('.cookies-card').removeClass('hide')
                }, 2000);

                var inputElements = $('input,[type=text],select,textarea');
                $.each(inputElements, function(index, element) {
                    element = $(element);
                    element.closest('.form-group').find('label').attr('for', element.attr('name'));
                    element.attr('id', element.attr('name'))
                });


            })(jQuery);
        </script>
</body>

</html>
