
 <header class="header" id="header">
     <div class="container">
         <nav class="navbar navbar-expand-lg navbar-light">
             <a class="navbar-brand logo" href="{{ route('home') }}"><img src="{{ siteLogo() }}" alt="@lang('logo')"></a>
             <div class="flex-align gap-sm-3 gap-1 ">
                 <div class="language-box d-lg-none d-block">
                     @if ($general->multi_language)
                         @php
                             $language = App\Models\Language::all();
                         @endphp
                         <select class="select langSel">
                             @foreach ($language as $lang)
                                 <option value="{{ $lang->code }}" @selected(session('lang') == $lang->code)> {{ __($lang->name) }}
                                 </option>
                             @endforeach
                         </select>
                     @endif
                 </div>
                 <button class="navbar-toggler header-button" type="button" data-bs-toggle="collapse"
                     data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                     aria-expanded="false" aria-label="Toggle navigation">
                     <span id="hiddenNav"><i class="las la-bars"></i></span>
                 </button>
             </div>

             <div class="collapse navbar-collapse" id="navbarSupportedContent">
                 <ul class="navbar-nav nav-menu mx-auto align-items-lg-center">

                     @if (!session('ACCOUNT'))
                         <li class="nav-item {{ menuActive('home') }}">
                             <a class="nav-link same-page"
                                 @if (request()->routeIs('home')) href="#how_work"  @else href="{{ route('home') }}#how_we_work" @endif>@lang('How To Start')</a>
                         </li>

                         <li class="nav-item ">
                             <a class="nav-link same-page"
                                 @if (request()->routeIs('home')) href="#about-us" @else href="{{ route('home') }}#about-us" @endif>@lang('About Us')</a>
                         </li>
                         <li class="nav-item ">
                             <a class="nav-link same-page"
                                 @if (request()->routeIs('home')) href="#transaction" @else href="{{ route('home') }}#transaction" @endif>@lang('Transactions')</a>
                         </li>

                         <li class="nav-item ">
                             <a class="nav-link same-page"
                                 @if (request()->routeIs('home')) href="#faq"  @else href="{{ route('home') }}#faq" @endif>@lang('FAQ')</a>
                         </li>

                         <li class="nav-item {{ menuActive('blog') }}">
                             <a class="nav-link same-page" href="{{ route('blog') }}">@lang('Blog')</a>
                         </li>

                         <li class="nav-item {{ menuActive('contact') }}">
                             <a class="nav-link same-page" href="{{ route('contact') }}">@lang('Contact')</a>
                         </li>
                     @else
                         <li class="nav-item {{ menuActive('account.home') }}">
                             <a class="nav-link same-page" href="{{ route('account.home') }}">@lang('Dashboard')</a>
                         </li>
                         <li class="nav-item {{ menuActive('account.deposit') }}">
                             <a class="nav-link same-page" href="{{ route('account.deposit') }}">@lang('Deposit')</a>
                         </li>

                         @if ($general->withdraw_system)
                             <li class="nav-item {{ menuActive('account.withdraw') }}">
                                 <a class="nav-link same-page" href="{{ route('account.withdraw') }}">@lang('Withdraw')</a>
                             </li>
                         @endif

                         @if ($general->referral_system)
                             <li class="nav-item same-page {{ menuActive('account.referrals') }}">
                                 <a class="nav-link" href="{{ route('account.referrals') }}">@lang('Referral')</a>
                             </li>
                         @endif

                         <li class="nav-item same-page">
                             <a class="nav-link" href="{{ route('account.logout') }}">@lang('Logout')</a>
                         </li>

                     @endif
                 </ul>


                 @if ($general->multi_language)
                     @php
                         $language = App\Models\Language::all();
                     @endphp
                     <div class="language-box d-lg-block d-none">
                         <select class="select langSel">
                             @foreach ($language as $lang)
                                 <option value="{{ $lang->code }}" @selected(session('lang') == $lang->code)>
                                     {{ __($lang->name) }} </option>
                             @endforeach
                         </select>
                     </div>
                 @endif



             </div>
         </nav>
     </div>
 </header>

 @if (request()->routeIs('home'))
     @push('script')
         <script>
             "use strict";
             (function($) {
                 $('.same-page').on('click', function() {
                     $('.menu').removeClass('active');
                     $('.header-bar').removeClass('active');
                     $('.overlay').removeClass('active');
                 });
             })(jQuery);
         </script>
     @endpush
 @endif
