@php
    $content = getContent('about.content', true);
    $elements = getContent('about.element', orderById: true);
@endphp


<section class="about py-80 position-relative" id="about-us">
    <img src="{{ getImage($activeTemplateTrue . 'images/thumbs/about-shiba1.png') }}" alt="@lang('image')" class="about-shiba-coin">
    <img src="{{ getImage($activeTemplateTrue . 'images/thumbs/about-shiba2.png') }}" alt="@lang('image')" class="about-shiba-coin two">
    <div class="container">
        <div class="row gy-4 flex-wrap-reverse align-items-center">
            <div class="col-lg-6  col-md-10 pe-xl-5">
                <div class="about-thumb me-md-4">
                    <img src="{{ sectionImage('about', @$content->data_values->image_front, '570x490') }}" alt="@lang('image')" class="fit-image">
                    <div class="about-thumb__back">
                        <img src="{{ sectionImage('about', @$content->data_values->image_back, '520x490') }}" alt="@lang('image')">
                    </div>
                    <div class="about-thumb__content flex-align">
                        <span class="icon"><img src="{{ getImage($activeTemplateTrue . 'images/thumbs/about-thumb-icon.png') }}" alt="@lang('image')"></span>
                        <span class="text">{{ __(@$content->data_values->quote) }}</span>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="about-content">
                    <div class="section-heading style-left">
                        <h2 class="section-heading__title">{{ __(@$content->data_values->title) }}</h2>
                        <h6 class="section-heading__subtitle">{{ __(@$content->data_values->subtitle) }}</h6>
                        <p class="section-heading__desc">{{ __(@$content->data_values->description) }}</p>
                    </div>
                    <ul class="text-list">
                        @foreach ($elements as $element)
                            <li class="text-list__item flex-align"><span class="icon">@php echo @$element->data_values->icon; @endphp</span> <span class="text">{{ __(@$element->data_values->list_item) }}</span> </li>
                        @endforeach

                    </ul>
                </div>
            </div>
        </div>
    </div>
</section>
