@php
    $content = getContent('faq.content', true);
    $faqs = getContent('faq.element',orderById:true);
@endphp

<section class="faq py-80 position-relative" id="faq">
    <img src="{{ getImage($activeTemplateTrue.'images/thumbs/faq-shiba1.png') }}" alt="@lang('image')" class="faq-shiba-coin">
    <img src="{{ getImage($activeTemplateTrue.'images/thumbs/faq-shiba2.png') }}" alt="@lang('image')" class="faq-shiba-coin two">
    <div class="container">
        <div class="section-heading">
            <h6 class="section-heading__subtitle">{{ __(@$content->data_values->subtitle) }}</h6>
            <h2 class="section-heading__title">{{ __(@$content->data_values->title) }}</h2>
            <p class="section-heading__desc">{{ __(@$content->data_values->description) }}</p>
        </div>
        <div class="row align-items-center">
            <div class="col-lg-6">
                <div class="accordion custom--accordion" id="accordionExample">
                    @foreach ($faqs as $k => $faq)
                        <div class="accordion-item">
                            <h4 class="accordion-header">
                                <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse"
                                    data-bs-target="#collapse{{ $k }}" aria-expanded="{{ $k==0 ? "true" : "false" }}" aria-controls="collapse{{ $k }}">
                                    {{ __(@$faq->data_values->question) }}
                                </button>
                            </h4>
                            <div id="collapse{{ $k }}" class="accordion-collapse collapse {{ $k == 0 ? 'show' : '' }}"
                                data-bs-parent="#accordionExample">
                                <div class="accordion-body">
                                    <p class="accordion-body__desc">{{ __(@$faq->data_values->answer) }}</p>
                                </div>
                            </div>
                        </div>
                    @endforeach
                </div>
            </div>
            <div class="col-lg-1 d-lg-block d-none"></div>
            <div class="col-lg-5 d-lg-block d-none">
                <div class="faq-thumb text-center">
                    <img src="{{ sectionImage('faq', @$content->data_values->image, '440x460') }}" alt="@lang('image')">
                </div>
            </div>
        </div>
    </div>
</section>
