@php
    $content = getContent('feature.content', true);
    $elements = getContent('feature.element', orderById: true);
@endphp

<section class="feature py-80 position-relative">
    <img src="{{ getImage($activeTemplateTrue.'images/thumbs/feature-shiba1.png') }}" alt="@lang('image')" class="feature-shiba-coin">
    <img src="{{ getImage($activeTemplateTrue.'images/thumbs/feature-shiba2.png') }}" alt="@lang('image')" class="feature-shiba-coin two">
    <div class="container">
        <div class="section-heading">
            <h6 class="section-heading__subtitle">{{ __(@$content->data_values->subtitle) }}</h6>
            <h2 class="section-heading__title">{{ __(@$content->data_values->title) }}</h2>
            <p class="section-heading__desc">{{ __(@$content->data_values->description) }}</p>
        </div>
        <div class="row gy-4 align-items-center">
            <div class="col-lg-5 col-md-6">
                @foreach ($elements as $element)
                    @if ($loop->odd)
                        <div class="feature-item flex-align style-right">
                            <img src="{{ getImage($activeTemplateTrue.'images/shapes/feature-item-bg.png') }}" alt="@lang('image')"
                                class="feature-item__bg">
                            <span class="feature-item__icon">
                                <img src="{{ sectionImage('feature', @$element->data_values->image, '65x65') }}"
                                    alt="@lang('image')">
                            </span>
                            <div class="feature-item__content">
                                <h6 class="feature-item__title">{{ __(@$element->data_values->title) }}</h6>
                                <p class="feature-item__desc">{{ __(@$element->data_values->description) }}</p>
                            </div>
                        </div>
                    @endif
                @endforeach
            </div>
            <div class="col-lg-2 d-lg-block d-none">
                <div class="feature-thumb">
                    <img src="{{ sectionImage('feature', @$content->data_values->image, '190x310') }}" alt="@lang('image')">
                </div>
            </div>
            <div class="col-lg-5 col-md-6">
                @foreach ($elements as $element)
                    @if ($loop->even)
                        <div class="feature-item flex-align">
                            <img src="{{ getImage($activeTemplateTrue.'images/shapes/feature-item-bg.png') }}" alt="@lang('image')"
                                class="feature-item__bg">
                            <span class="feature-item__icon">
                                <img src="{{ sectionImage('feature', @$element->data_values->image, '65x65') }}"
                                    alt="@lang('image')">
                            </span>
                            <div class="feature-item__content">
                                <h6 class="feature-item__title">{{ __(@$element->data_values->title) }}</h6>
                                <p class="feature-item__desc">{{ __(@$element->data_values->description) }}</p>
                            </div>
                        </div>
                    @endif
                @endforeach
            </div>
        </div>
    </div>
</section>
