@php
    $transactionContent = getContent('transaction.content', true);
    $deposits = \App\Models\Deposit::successful()
        ->latest()
        ->with('account')
        ->take(25)
        ->get();
    $withdrawals = \App\Models\Withdrawal::latest()
        ->with('account')
        ->take(25)
        ->get();
@endphp

<section class="transaction" id="transaction">
    <div class="curve"></div>
    <div class="wave"></div>
    <div class="transaction-coin">
        <img src="{{ sectionImage('transaction',@$transactionContent->data_values->coin,"120x160") }}" alt="@lang('image')" class="transaction-coin__img one">
        <img src="{{ sectionImage('transaction',@$transactionContent->data_values->coin,"120x160") }}" alt="@lang('image')" class="transaction-coin__img two">
    </div>
    <div class="container">
        <div class="section-heading">
            <h6 class="section-heading__subtitle">{{ __(@$transactionContent->data_values->subtitle) }}</h6>
            <h2 class="section-heading__title">{{ __(@$transactionContent->data_values->title) }}</h2>
            <p class="section-heading__desc">{{ __(@$transactionContent->data_values->description) }}</p>
        </div>
        <div class="transaction-inner">
            <ul class="custom--tab nav nav-pills mb-3" id="pills-tab" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="pills-deposit-tab" data-bs-toggle="pill"
                        data-bs-target="#pills-deposit" type="button" role="tab" aria-controls="pills-deposit"
                        aria-selected="true">@lang('Deposit')</button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="pills-withdraw-tab" data-bs-toggle="pill"
                        data-bs-target="#pills-withdraw" type="button" role="tab" aria-controls="pills-withdraw"
                        aria-selected="false">@lang('Withdraw')</button>
                </li>
            </ul>
            <div class="tab-content" id="pills-tabContent">
                <div class="tab-pane fade show active" id="pills-deposit" role="tabpanel"
                    aria-labelledby="pills-deposit-tab" tabindex="0">
                    <table class="table table--responsive--md">
                        <thead>
                            <tr>
                                <th>@lang('Amount')</th>
                                <th>@lang('Wallet')</th>
                                <th>@lang('Time')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse ($deposits as $deposit)
                                <tr>
                                    <td>
                                        {{ showAmount($deposit->amount) }} {{ __($general->cur_text) }}
                                    </td>
                                    <td>
                                        @php echo substr_replace(@$deposit->account->wallet, 'xxx', -3) @endphp
                                    </td>
                                    <td>
                                        {{ showDateTime($deposit->updated_at) }}
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td class="pill" colspan="3">{{ __("DEPOSIT NOT FOUND") }}</td>
                                </tr>
                            @endforelse

                        </tbody>
                    </table>
                </div>
                <div class="tab-pane fade" id="pills-withdraw" role="tabpanel" aria-labelledby="pills-withdraw-tab"
                    tabindex="0">
                    <table class="table table--responsive--md">
                        <thead>
                            <tr>
                                <th>@lang('Amount')</th>
                                <th>@lang('Wallet')</th>
                                <th>@lang('Time')</th>
                            </tr>
                        </thead>
                        <tbody>
                            @forelse ($withdrawals as $withdrawal)
                                <tr>
                                    <td>
                                        {{ showAmount($withdrawal->amount) }} {{ __($general->cur_text) }}
                                    </td>
                                    <td>
                                        @php echo substr_replace(@$withdrawal->account->wallet, '<b>xxx</b>', -3) @endphp
                                    </td>
                                    <td>
                                        {{ showDateTime($withdrawal->updated_at) }}
                                    </td>
                                </tr>
                            @empty
                                <tr>
                                    <td class="text-center" colspan="3">{{ __("WITHDRAW NOT FOUND") }}</td>
                                </tr>
                            @endforelse
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>
